none
ie detection RRS feed

  • Pregunta

  • Hola a todos ! necesito de su ayuda estoy corriendo una aplicación que tiene html5, necesito preguntar que explorador esta corriendo el cliente y cuando pregunto sobre browser.version.ToString().Replace(".","") me devuelve un 70 y a la aplicacion la estoy corriendo con IE11 ....

    [WebMethod]
        public static string GetExplorador()
        {
            string msi = null;
    
            if (HttpContext.Current.Request.Browser.Browser == "IE") // esto me devuelve bien "IE"
            {
                 if (Convert.ToInt32(HttpContext.Current.Request.Browser.Version.ToString().Replace(".", "")) < 90) // EN ESTA LINEA ME DEVUELVE UN 70 CUANDO ESTOY CORRIENDO CON IE11
                {
                    msi = "La aplicación no soporta html5.";
                }
                {
                    msi = "La aplicación no soporta html5.";
                }
            }
    
            return msi;
        }
    

    esta es la pregunta que me devuelve un 70 

     if (Convert.ToInt32(HttpContext.Current.Request.Browser.Version.ToString().Replace(".", "")) < 90) // EN ESTA LINEA ME DEVUELVE UN 70 CUANDO ESTOY CORRIENDO CON IE11 

    GRACIAS A TODOS...

    if (Convert.ToInt32(HttpContext.Current.Request.Browser.Version.ToString().Replace(".", "")) < 90)
    if (Convert.ToInt32(HttpContext.Current.Request.Browser.Version.ToString().Replace(".", "")) < 90)
    lunes, 10 de noviembre de 2014 15:54

Respuestas

  • >>con esta .js no tendria ningun problema al usar elementos html5 con cualquier explorador ?

    ese plugin no hace magia, simplemente te permite validar ante determinada caracteristica que necesites en tu pagina

    por ejemplo si en tu pagina necesitas usar canvas podrias validarlo y si el browser que accede no lo soporta tomas una accion

    >>con esta pagina tendria que generar la .js ?

    si esa logica la pones en el codigo cliente

    slaudos


    Leandro Tuttini

    Blog
    MVP Profile
    Buenos Aires
    Argentina

    • Marcado como respuesta efinten lunes, 10 de noviembre de 2014 17:59
    lunes, 10 de noviembre de 2014 17:07

Todas las respuestas

  • De versiones exactas de browser no conozco muy bien, pero me atrevería a pensar que su explorador está corriendo en modo de compatibilidad con IE7 y por eso el 70.

    Jose R. MCP
    Code Samples

    lunes, 10 de noviembre de 2014 15:59
    Moderador
  • hola

    eso se resuelve como

    http://modernizr.com/

    con este podras tener acceso a todas las features del browser, para asi aplicar logica segun el caso

    saludos


    Leandro Tuttini

    Blog
    MVP Profile
    Buenos Aires
    Argentina


    lunes, 10 de noviembre de 2014 16:36
  • Hola Leandro gracias por responderme, la verdad que no entiendo lo que me pasaste, con esta .js no tendria ningun problema al usar elementos html5 con cualquier explorador ? con esta pagina tendria que generar la .js ? 

    gracias de nuevo...

    lunes, 10 de noviembre de 2014 17:01
  • >>con esta .js no tendria ningun problema al usar elementos html5 con cualquier explorador ?

    ese plugin no hace magia, simplemente te permite validar ante determinada caracteristica que necesites en tu pagina

    por ejemplo si en tu pagina necesitas usar canvas podrias validarlo y si el browser que accede no lo soporta tomas una accion

    >>con esta pagina tendria que generar la .js ?

    si esa logica la pones en el codigo cliente

    slaudos


    Leandro Tuttini

    Blog
    MVP Profile
    Buenos Aires
    Argentina

    • Marcado como respuesta efinten lunes, 10 de noviembre de 2014 17:59
    lunes, 10 de noviembre de 2014 17:07
  • gracias leandro, ahora entendí.-

     

    lunes, 10 de noviembre de 2014 17:59